/*jslint nomen: true, indent: 2*/

/**
 * Deps
 */
var express    = require('express');
var router     = require('./lib/router');
var middleware = require('./lib/middleware');
var path       = require('path');


/**
 * Globals
 */
global.__LIBDIR = path.join(__dirname, './lib/');
global.__MODDIR = path.join(__dirname, './modules/');


/**
 * Init
 */
var app = express();


/**
 * Middlewares
 */
middleware.useSwigTemplate(app);


/**
 * Router
 */
router.bindRoutes(app);
router.bindNotFound(app);


/**
 * Exports
 */
module.exports = app;