/*jslint nomen: true, indent: 2 */

/**
 * Deps
 */
var _    = require('lodash');


/**
 * Load config file
 */
var configFile = require('../config/config.json') || {};


/**
 * Main function to retrieve value of a parameter
 * First tries process.env.PARAM then config file
 * Returns null if parameter not found
 *
 * @param {string} param - Name of the parameter
 * @returns {anything}   - Value of the parameter
 */
module.exports = function (param) {
  "use strict";

  return process.env[param] || _.get(configFile, param);
};