/*jslint nomen: true, indent: 2 */

/**
 * Deps
 */
var conf = require('./conf');
var swig = require('swig');


/**
 * Conf
 */
var env = conf('NODE_ENV');


/**
 * Init
 */
var middleware = {};


/**
 * Uses Swig templates
 */
middleware.useSwigTemplate = function (app) {
  "use strict";

  swig.setDefaults({
    cache: env === 'development' ? false : 'memory',
    locals: require(__dirname + '/loadhelpers')
  });

  app.engine('html', swig.renderFile);
  //app.set('views', path.join(__dirname, '../views-swig'));
  app.set('view engine', 'swig');
};


/**
 * Exports
 */
module.exports = middleware;